/*
 * 쐬: 2008/02/25
 *
 */
package com.kickmogu.rhythm.mail;

import java.util.*;

import org.apache.log4j.Category;

import com.kickmogu.rhythm.core.Member;

public class MailQueueManager {
	static Category log = Category.getInstance(MailQueueManager.class.getName());
	private static Map<String, MailQueue> queues = new HashMap<String, MailQueue>();
	
	public static MailQueue getQueue(String queueId) {
		return queues.get(queueId);
	}
	
	public static String createQueue(Member member, int mailSettingId, String folderName) {
		MailQueue queue = new MailQueue(member, mailSettingId, folderName);
		queue.start();
		String id = queue.getQueueId();
		queues.put(id, queue);
		return id;
	}
	
	private static void garbage() {
		
	}
}
