/*
 * Copyright 2007 Kickmogu Co. Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */



/*
 * 쐬: 2006/11/28
 *
 */
package com.kickmogu.rhythm.mail.test;

import com.kickmogu.rhythm.core.ws.MemberWs;
import com.kickmogu.rhythm.core.*;
import com.kickmogu.rhythm.mail.Mail;
import com.kickmogu.rhythm.mail.ws.FastGetMailQueue;
import com.kickmogu.rhythm.mail.ws.MailWs;
import javax.mail.*;

public class MailQueueTest {

	public static void main(String[] args) throws Exception {
		int mailSettingId = 1;
		MemberWs memWs = new MemberWs();
		BaseResult result = memWs.authorize("mogu", args[0]);
		Member me = (Member) result.getResult();
		MailWs mailDao = new MailWs();
		String queueId = (String) mailDao.reqQueueMails(me, mailSettingId, "hoV").getResult();
		FastGetMailQueue fastQ = new FastGetMailQueue();
		String mails = null;
		do {
			mails = fastQ.listMails(queueId);
			System.out.println(mails + "----------------------------------");
		} while (!mails.equals(""));
	}

}
